import { CssPropertyMetadata, EditorType } from '../model';
export declare const textProperties: {
    textColor: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
    };
    fontSize: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
    fontWeight: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        checkedValue: string;
    };
    fontStyle: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        checkedValue: string;
    };
};
export declare const shapeProperties: {
    backgroundColor: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
    };
    borderColor: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
    };
    borderWidth: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
    borderRadius: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
    padding: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
    gap: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
};
export declare const fieldProperties: {
    height: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
    paddingInline: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
};
export declare const iconProperties: {
    iconColor: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
    };
    iconSize: {
        propertyName: string;
        displayName: string;
        editorType: EditorType;
        presets: string[];
        icon: string;
    };
};
export declare const standardShapeProperties: CssPropertyMetadata[];
export declare const standardTextProperties: CssPropertyMetadata[];
export declare const standardIconProperties: CssPropertyMetadata[];
